stock_columns = {"nescsecurityid": "NESCSecurityID", "mddate": "MDDate", "mdtime": "MDTime",
                 "tradingphasecode": "TradingPhaseCode", "securityidsource": "securityIDSource",
                 "securitytype": "securityType", "maxpx": "MaxPx", "minpx": "MinPx", "preclosepx": "PreClosePx",
                 "numtrades": "NumTrades", "totalvolumetrade": "TotalVolumeTrade", "totalvaluetrade": "TotalValueTrade",
                 "lastpx": "LastPx", "openpx": "OpenPx", "closepx": "ClosePx", "highpx": "HighPx", "lowpx": "LowPx",
                 "diffpx1": "DiffPx1", "diffpx2": "DiffPx2", "totalbuyqty": "TotalBuyQty",
                 "totalsellqty": "TotalSellQty", "weightedavgbuypx": "WeightedAvgBuyPx",
                 "weightedavgsellpx": "WeightedAvgSellPx", "withdrawbuynumber": "WithdrawBuyNumber",
                 "withdrawbuyamount": "WithdrawBuyAmount", "withdrawbuymoney": "WithdrawBuyMoney",
                 "withdrawsellnumber": "WithdrawSellNumber", "withdrawsellamount": "WithdrawSellAmount",
                 "withdrawsellmoney": "WithdrawSellMoney", "totalbuynumber": "TotalBuyNumber",
                 "totalsellnumber": "TotalSellNumber", "buytrademaxduration": "BuyTradeMaxDuration",
                 "selltrademaxduration": "SellTradeMaxDuration", "numbuyorders": "NumBuyOrders",
                 "numsellorders": "NumSellOrders", "norminalpx": "NorminalPx",
                 "shortsellsharestraded": "ShortSellSharesTraded", "shortsellturnover": "ShortSellTurnover",
                 "referencepx": "ReferencePx", "complexeventstarttime": "ComplexEventStartTime",
                 "complexeventendtime": "ComplexEventEndTime", "exchangedate": "ExchangeDate",
                 "exchangetime": "ExchangeTime", "afterhoursnumtrades": "AfterHoursNumTrades",
                 "afterhourstotalvolumetrade": "AfterHoursTotalVolumeTrade",
                 "afterhourstotalvaluetrade": "AfterHoursTotalValueTrade", "channelno": "ChannelNo",
                 "buypricequeue": "BuyPriceQueue", "buyorderqtyqueue": "BuyOrderQtyQueue",
                 "sellpricequeue": "SellPriceQueue", "sellorderqtyqueue": "SellOrderQtyQueue",
                 "buyorderqueue": "BuyOrderQueue", "sellorderqueue": "SellOrderQueue",
                 "buynumordersqueue": "BuyNumOrdersQueue", "sellnumordersqueue": "SellNumOrdersQueue",
                 "receivedatetime": "ReceiveDateTime", "maxbuyprice": "MaxBuyPrice",
                 "minbuyprice": "MinBuyPrice",
                 "maxsellprice": "MaxSellPrice",
                 "minsellprice": "MinSellPrice",
                 "premarketlastpx": "PreMarketLastPx",
                 "premarkettotalvolumetrade": "PreMarketTotalVolumeTrade",
                 "premarkettotalvaluetrade": "PreMarketTotalValueTrade",
                 "premarkethighpx": "PreMarketHighPx",
                 "premarketlowpx": "PreMarketLowPx",
                 "afterhourslastpx": "AfterHoursLastPx",
                 "afterhourshighpx": "AfterHoursHighPx",
                 "afterhourslowpx": "AfterHoursLowPx",
                 "marketphasecode": "MarketPhaseCode",
                 "usconsolidatevolume": "USConsolidateVolume",
                 "uscompositeclosepx": "USCompositeClosePx",
                 "tradinghaltreason": "TradingHaltReason",
                 "otctotalvolumetrade": "OtcTotalVolumeTrade",
                 "otctotalvaluetrade": "OtcTotalValueTrade",
                 "otcnumtrades": "OtcNumTrades"}

bond_columns = {"nescsecurityid": "NESCSecurityID", "mddate": "MDDate", "mdtime": "MDTime",
                "tradingphasecode": "TradingPhaseCode", "securityidsource": "securityIDSource",
                "securitytype": "securityType", "maxpx": "MaxPx", "minpx": "MinPx", "preclosepx": "PreClosePx",
                "numtrades": "NumTrades", "totalvolumetrade": "TotalVolumeTrade", "totalvaluetrade": "TotalValueTrade",
                "lastpx": "LastPx", "openpx": "OpenPx", "closepx": "ClosePx", "highpx": "HighPx", "lowpx": "LowPx",
                "diffpx1": "DiffPx1", "diffpx2": "DiffPx2", "totalbuyqty": "TotalBuyQty",
                "totalsellqty": "TotalSellQty", "weightedavgbuypx": "WeightedAvgBuyPx",
                "weightedavgsellpx": "WeightedAvgSellPx", "withdrawbuynumber": "WithdrawBuyNumber",
                "withdrawbuyamount": "WithdrawBuyAmount", "withdrawbuymoney": "WithdrawBuyMoney",
                "withdrawsellnumber": "WithdrawSellNumber", "withdrawsellamount": "WithdrawSellAmount",
                "withdrawsellmoney": "WithdrawSellMoney", "totalbuynumber": "TotalBuyNumber",
                "totalsellnumber": "TotalSellNumber", "buytrademaxduration": "BuyTradeMaxDuration",
                "selltrademaxduration": "SellTradeMaxDuration", "numbuyorders": "NumBuyOrders",
                "numsellorders": "NumSellOrders", "yieldtomaturity": "YieldToMaturity",
                "weightedavgpx": "WeightedAvgPx", "weightedavgpxbp": "WeightedAvgPxBP",
                "precloseweightedavgpx": "PreCloseWeightedAvgPx", "exchangedate": "ExchangeDate",
                "exchangetime": "ExchangeTime", "precloseyield": "PreCloseYield",
                "preweightedavgyield": "PreWeightedAvgYield", "openyield": "OpenYield", "highyield": "HighYield",
                "lowyield": "LowYield", "lastyield": "LastYield", "weightedavgyield": "WeightedAvgYield",
                "channelno": "ChannelNo", "buypricequeue": "BuyPriceQueue", "buyorderqtyqueue": "BuyOrderQtyQueue",
                "sellpricequeue": "SellPriceQueue", "sellorderqtyqueue": "SellOrderQtyQueue",
                "buyorderqueue": "BuyOrderQueue", "sellorderqueue": "SellOrderQueue",
                "buynumordersqueue": "BuyNumOrdersQueue", "sellnumordersqueue": "SellNumOrdersQueue",
                "norminalpx": "NorminalPx", "shortsellsharestraded": "ShortSellSharesTraded",
                "shortsellturnover": "ShortSellTurnover", "receivedatetime": "ReceiveDateTime",
                "buysettltypequeue": "BuySettlTypeQueue",
                "sellsettltypequeue": "SellSettlTypeQueue",
                "buyyieldqueue": "BuyYieldQueue",
                "sellyieldqueue": "SellYieldQueue",
                "premarketlastpx": "PreMarketLastPx",
                "premarkettotalvolumetrade": "PreMarketTotalVolumeTrade",
                "premarkettotalvaluetrade": "PreMarketTotalValueTrade",
                "premarkethighpx": "PreMarketHighPx",
                "premarketlowpx": "PreMarketLowPx",
                "afterhourslastpx": "AfterHoursLastPx",
                "afterhourstotalvolumetrade": "AfterHoursTotalVolumeTrade",
                "afterhourstotalvaluetrade": "AfterHoursTotalValueTrade",
                "afterhourshighpx": "AfterHoursHighPx",
                "afterhourslowpx": "AfterHoursLowPx",
                "marketphasecode": "MarketPhaseCode",
                "subtradingphasecode1": "SubTradingPhaseCode1",
                "subtradingphasecode2": "SubTradingPhaseCode2",
                "subtradingphasecode3": "SubTradingPhaseCode3",
                "subtradingphasecode4": "SubTradingPhaseCode4",
                "subtradingphasecode5": "SubTradingPhaseCode5",
                "lastpxtype": "LastPxType",
                "auctionlastpx": "AuctionLastPx",
                "auctionvolumetrade": "AuctionVolumeTrade",
                "auctionvaluetrade": "AuctionValueTrade",
                "usconsolidatevolume": "USConsolidateVolume",
                "uscompositeclosepx": "USCompositeClosePx",
                "tradinghaltreason": "TradingHaltReason",
                "otctotalvolumetrade": "OtcTotalVolumeTrade",
                "otctotalvaluetrade": "OtcTotalValueTrade",
                "otcnumtrades": "OtcNumTrades"}

fund_columns = {"nescsecurityid": "NESCSecurityID", "mddate": "MDDate", "mdtime": "MDTime",
                "tradingphasecode": "TradingPhaseCode", "securityidsource": "securityIDSource",
                "securitytype": "securityType", "maxpx": "MaxPx", "minpx": "MinPx", "preclosepx": "PreClosePx",
                "numtrades": "NumTrades", "totalvolumetrade": "TotalVolumeTrade", "totalvaluetrade": "TotalValueTrade",
                "lastpx": "LastPx", "openpx": "OpenPx", "closepx": "ClosePx", "highpx": "HighPx", "lowpx": "LowPx",
                "diffpx1": "DiffPx1", "diffpx2": "DiffPx2",
                "totalsellqty": "TotalSellQty", "weightedavgbuypx": "WeightedAvgBuyPx",
                "weightedavgsellpx": "WeightedAvgSellPx", "withdrawbuynumber": "WithdrawBuyNumber",
                "withdrawbuyamount": "WithdrawBuyAmount", "withdrawbuymoney": "WithdrawBuyMoney",
                "withdrawsellnumber": "WithdrawSellNumber", "withdrawsellamount": "WithdrawSellAmount",
                "withdrawsellmoney": "WithdrawSellMoney", "totalbuynumber": "TotalBuyNumber",
                "totalsellnumber": "TotalSellNumber", "buytrademaxduration": "BuyTradeMaxDuration",
                "selltrademaxduration": "SellTradeMaxDuration", "numbuyorders": "NumBuyOrders",
                "numsellorders": "NumSellOrders", "iopv": "IOPV", "preiopv": "PreIOPV",
                "purchasenumber": "PurchaseNumber", "purchaseamount": "PurchaseAmount",
                "purchasemoney": "PurchaseMoney", "redemptionnumber": "RedemptionNumber",
                "redemptionamount": "RedemptionAmount", "redemptionmoney": "RedemptionMoney",
                "exchangedate": "ExchangeDate", "exchangetime": "ExchangeTime", "channelno": "ChannelNo",
                "buypricequeue": "BuyPriceQueue", "buyorderqtyqueue": "BuyOrderQtyQueue",
                "sellpricequeue": "SellPriceQueue", "sellorderqtyqueue": "SellOrderQtyQueue",
                "buyorderqueue": "BuyOrderQueue", "sellorderqueue": "SellOrderQueue",
                "buynumordersqueue": "BuyNumOrdersQueue", "sellnumordersqueue": "SellNumOrdersQueue",
                "norminalpx": "NorminalPx", "shortsellsharestraded": "ShortSellSharesTraded",
                "shortsellturnover": "ShortSellTurnover", "receivedatetime": "ReceiveDateTime",
                "premarketlastpx": "PreMarketLastPx",
                "premarkettotalvolumetrade": "PreMarketTotalVolumeTrade",
                "premarkettotalvaluetrade": "PreMarketTotalValueTrade",
                "premarkethighpx": "PreMarketHighPx",
                "premarketlowpx": "PreMarketLowPx",
                "afterhourslastpx": "AfterHoursLastPx",
                "afterhourstotalvolumetrade": "AfterHoursTotalVolumeTrade",
                "afterhourstotalvaluetrade": "AfterHoursTotalValueTrade",
                "afterhourshighpx": "AfterHoursHighPx",
                "afterhourslowpx": "AfterHoursLowPx",
                "marketphasecode": "MarketPhaseCode",
                "usconsolidatevolume": "USConsolidateVolume",
                "uscompositeclosepx": "USCompositeClosePx",
                "tradinghaltreason": "TradingHaltReason",
                "otctotalvolumetrade": "OtcTotalVolumeTrade",
                "otctotalvaluetrade": "OtcTotalValueTrade",
                "otcnumtrades": "OtcNumTrades"}

index_columns = {"nescsecurityid": "NESCSecurityID", "mddate": "MDDate", "mdtime": "MDTime",
                 "tradingphasecode": "TradingPhaseCode", "securityidsource": "securityIDSource",
                 "securitytype": "securityType", "maxpx": "MaxPx", "minpx": "MinPx", "preclosepx": "PreClosePx",
                 "numtrades": "NumTrades", "totalvolumetrade": "TotalVolumeTrade", "totalvaluetrade": "TotalValueTrade",
                 "lastpx": "LastPx", "openpx": "OpenPx", "closepx": "ClosePx", "highpx": "HighPx", "lowpx": "LowPx",
                 "channelno": "ChannelNo", "exchangedate": "ExchangeDate", "exchangetime": "ExchangeTime",
                 "receivedatetime": "ReceiveDateTime", "totalbuyvolumetrade": "TotalBuyVolumeTrade",
                 "totalbuyvaluetrade": "TotalBuyValueTrade",
                 "totalbuynumber": "TotalBuyNumber",
                 "totalsellvolumetrade": "TotalSellVolumeTrade",
                 "totalsellvaluetrade": "TotalSellValueTrade",
                 "totalsellnumber": "TotalSellNumber"}

option_columns = {"nescsecurityid": "NESCSecurityID", "mddate": "MDDate", "mdtime": "MDTime",
                  "tradingphasecode": "TradingPhaseCode", "securityidsource": "securityIDSource",
                  "securitytype": "securityType", "maxpx": "MaxPx", "minpx": "MinPx", "preclosepx": "PreClosePx",
                  "numtrades": "NumTrades", "totalvolumetrade": "TotalVolumeTrade",
                  "totalvaluetrade": "TotalValueTrade", "lastpx": "LastPx", "openpx": "OpenPx", "closepx": "ClosePx",
                  "highpx": "HighPx", "lowpx": "LowPx", "diffpx1": "DiffPx1", "diffpx2": "DiffPx2",
                  "totalbuyqty": "TotalBuyQty", "totalsellqty": "TotalSellQty", "weightedavgbuypx": "WeightedAvgBuyPx",
                  "weightedavgsellpx": "WeightedAvgSellPx", "withdrawbuynumber": "WithdrawBuyNumber",
                  "withdrawbuyamount": "WithdrawBuyAmount", "withdrawbuymoney": "WithdrawBuyMoney",
                  "withdrawsellnumber": "WithdrawSellNumber", "withdrawsellamount": "WithdrawSellAmount",
                  "withdrawsellmoney": "WithdrawSellMoney", "totalbuynumber": "TotalBuyNumber",
                  "totalsellnumber": "TotalSellNumber", "buytrademaxduration": "BuyTradeMaxDuration",
                  "selltrademaxduration": "SellTradeMaxDuration", "numbuyorders": "NumBuyOrders",
                  "numsellorders": "NumSellOrders", "tradingdate": "TradingDate", "preopeninterest": "PreOpenInterest",
                  "presettleprice": "PreSettlePrice", "openinterest": "OpenInterest", "settleprice": "SettlePrice",
                  "predelta": "PreDelta", "currdelta": "CurrDelta", "exchangedate": "ExchangeDate",
                  "exchangetime": "ExchangeTime", "channelno": "ChannelNo", "buypricequeue": "BuyPriceQueue",
                  "buyorderqtyqueue": "BuyOrderQtyQueue", "sellpricequeue": "SellPriceQueue",
                  "sellorderqtyqueue": "SellOrderQtyQueue", "buyorderqueue": "BuyOrderQueue",
                  "buyorderqueue": "BuyOrderQueue", "buynumordersqueue": "BuyNumOrdersQueue",
                  "sellnumordersqueue": "SellNumOrdersQueue", "receivedatetime": "ReceiveDateTime"}

transaction_columns = {"nescsecurityid": "NESCSecurityID", "mddate": "MDDate", "mdtime": "MDTime",
                       "securityidsource": "securityIDSource", "securitytype": "securityType",
                       "tradeindex": "TradeIndex",
                       "tradebuyno": "TradeBuyNo", "tradesellno": "TradeSellNo", "tradetype": "TradeType",
                       "tradebsflag": "TradeBSFlag", "tradeprice": "TradePrice", "tradeqty": "TradeQty",
                       "trademoney": "TradeMoney", "channelno": "ChannelNo", "exchangedate": "ExchangeDate",
                       "exchangetime": "ExchangeTime", "tradecleanprice": "TradeCleanPrice",
                       "accruedinterestamt": "AccruedInterestAmt", "tradedirtyprice": "TradeDirtyPrice",
                       "maturityyield": "MaturityYield", "fitradingmethod": "FITradingMethod",
                       "receivedatetime": "ReceiveDateTime", "accruedinterestotd": "AccruedInterestOtd",
                       "duration": "Duration",
                       "modifiedduration": "ModifiedDuration",
                       "convexity": "Convexity",
                       "settlperiod": "SettlPeriod",
                       "settltype": "SettlType",
                       "hktradetype": "HKTradeType"}

order_columns = {"nescsecurityid": "NESCSecurityID", "mddate": "MDDate", "mdtime": "MDTime",
                 "securityidsource": "securityIDSource", "securitytype": "securityType", "orderindex": "OrderIndex",
                 "ordertype": "OrderType", "orderprice": "OrderPrice", "orderqty": "OrderQty",
                 "orderbsflag": "OrderBSFlag", "channelno": "ChannelNo", "exchangedate": "ExchangeDate",
                 "exchangetime": "ExchangeTime", "receivedatetime": "ReceiveDateTime", "orderno": "OrderNO",
                 "applseqnum": "ApplSeqNum",
                 "securitystatus": "SecurityStatus",
                 "quoteid": "QuoteID",
                 "memberid": "MemberID",
                 "investortype": "InvestorType",
                 "investorid": "InvestorID",
                 "investorname": "InvestorName",
                 "tradercode": "TraderCode",
                 "settlperiod": "SettlPeriod",
                 "settltype": "SettlType",
                 "memo": "Memo"}
